Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5099)
@@ -4697,249 +4641,243 @@
 #endif
 
-       ENDIF ! aerosol_couple
-       itaprad = 0
-       !
-       !  If Iflag_radia >=2, reset pertubed variables
-       !
-       IF (iflag_radia >= 2) THEN
-          zxtsol(:) = zsav_tsol (:)
-       ENDIF
+      ENDIF ! aerosol_couple
+      itaprad = 0
+
+      !  If Iflag_radia >=2, reset pertubed variables
+
+      IF (iflag_radia >= 2) THEN
+        zxtsol(:) = zsav_tsol (:)
+      ENDIF
     ENDIF ! MOD(itaprad,radpas)
     itaprad = itaprad + 1
 
     IF (iflag_radia==0) THEN
-       IF (prt_level>=9) THEN
-          PRINT *,'--------------------------------------------------'
-          PRINT *,'>>>> ATTENTION rayonnement desactive pour ce cas'
-          PRINT *,'>>>>           heat et cool mis a zero '
-          PRINT *,'--------------------------------------------------'
-       ENDIF
-       heat=0.
-       cool=0.
-       sollw=0.   ! MPL 01032011
-       solsw=0.
-       radsol=0.
-       swup=0.    ! MPL 27102011 pour les fichiers AMMA_profiles et AMMA_scalars
-       swup0=0.
-       lwup=0.
-       lwup0=0.
-       lwdn=0.
-       lwdn0=0.
+      IF (prt_level>=9) THEN
+        PRINT *, '--------------------------------------------------'
+        PRINT *, '>>>> ATTENTION rayonnement desactive pour ce cas'
+        PRINT *, '>>>>           heat et cool mis a zero '
+        PRINT *, '--------------------------------------------------'
+      ENDIF
+      heat = 0.
+      cool = 0.
+      sollw = 0.   ! MPL 01032011
+      solsw = 0.
+      radsol = 0.
+      swup = 0.    ! MPL 27102011 pour les fichiers AMMA_profiles et AMMA_scalars
+      swup0 = 0.
+      lwup = 0.
+      lwup0 = 0.
+      lwdn = 0.
+      lwdn0 = 0.
     ENDIF
 
-    !
     ! Calculer radsol a l'exterieur de radlwsw
     ! pour prendre en compte le cycle diurne
     ! recode par Olivier Boucher en sept 2015
-    !
-    radsol=solsw*swradcorr+sollw
+
+    radsol = solsw * swradcorr + sollw
 
     IF (ok_4xCO2atm) THEN
-       radsolp=solswp*swradcorr+sollwp
+      radsolp = solswp * swradcorr + sollwp
     ENDIF
 
-    !
     ! Ajouter la tendance des rayonnements (tous les pas)
     ! avec une correction pour le cycle diurne dans le SW
-    !
-
-    DO k=1, klev
-       d_t_swr(:,k)=swradcorr(:)*heat(:,k)*phys_tstep/RDAY
-       d_t_sw0(:,k)=swradcorr(:)*heat0(:,k)*phys_tstep/RDAY
-       d_t_lwr(:,k)=-cool(:,k)*phys_tstep/RDAY
-       d_t_lw0(:,k)=-cool0(:,k)*phys_tstep/RDAY
+
+    DO k = 1, klev
+      d_t_swr(:, k) = swradcorr(:) * heat(:, k) * phys_tstep / RDAY
+      d_t_sw0(:, k) = swradcorr(:) * heat0(:, k) * phys_tstep / RDAY
+      d_t_lwr(:, k) = -cool(:, k) * phys_tstep / RDAY
+      d_t_lw0(:, k) = -cool0(:, k) * phys_tstep / RDAY
     ENDDO
 
-    CALL add_phys_tend(du0,dv0,d_t_swr,dq0,dql0,dqi0,dqbs0,paprs,'SW',abortphy,flag_inhib_tend,itap,0)
-    CALL prt_enerbil('SW',itap)
-    CALL add_phys_tend(du0,dv0,d_t_lwr,dq0,dql0,dqi0,dqbs0,paprs,'LW',abortphy,flag_inhib_tend,itap,0)
-    CALL prt_enerbil('LW',itap)
-
-    !
+    CALL add_phys_tend(du0, dv0, d_t_swr, dq0, dql0, dqi0, dqbs0, paprs, 'SW', abortphy, flag_inhib_tend, itap, 0)
+    CALL prt_enerbil('SW', itap)
+    CALL add_phys_tend(du0, dv0, d_t_lwr, dq0, dql0, dqi0, dqbs0, paprs, 'LW', abortphy, flag_inhib_tend, itap, 0)
+    CALL prt_enerbil('LW', itap)
+
     IF (mydebug) THEN
-       CALL writefield_phy('u_seri',u_seri,nbp_lev)
-       CALL writefield_phy('v_seri',v_seri,nbp_lev)
-       CALL writefield_phy('t_seri',t_seri,nbp_lev)
-       CALL writefield_phy('q_seri',q_seri,nbp_lev)
+      CALL writefield_phy('u_seri', u_seri, nbp_lev)
+      CALL writefield_phy('v_seri', v_seri, nbp_lev)
+      CALL writefield_phy('t_seri', t_seri, nbp_lev)
+      CALL writefield_phy('q_seri', q_seri, nbp_lev)
     ENDIF
 
     ! Calculer l'hydrologie de la surface
-    !
+
     !      CALL hydrol(dtime,pctsrf,rain_fall, snow_fall, zxevap,
     !     .            agesno, ftsol,fqsurf,fsnow, ruis)
-    !
-
-    !
+
     ! Calculer le bilan du sol et la derive de temperature (couplage)
-    !
+
     DO i = 1, klon
-       !         bils(i) = radsol(i) - sens(i) - evap(i)*RLVTT
-       ! a la demande de JLD
-       bils(i) = radsol(i) - sens(i) + zxfluxlat(i)
+      !         bils(i) = radsol(i) - sens(i) - evap(i)*RLVTT
+      ! a la demande de JLD
+      bils(i) = radsol(i) - sens(i) + zxfluxlat(i)
     ENDDO
-    !
+
     !moddeblott(jan95)
     ! Appeler le programme de parametrisation de l'orographie
     ! a l'echelle sous-maille:
-    !
+
     IF (prt_level >=10) THEN
-       print *,' call orography ? ', ok_orodr
+      print *, ' call orography ? ', ok_orodr
     ENDIF
-    !
+
     IF (ok_orodr) THEN
-       !
-       !  selection des points pour lesquels le shema est actif:
-       igwd=0
-       DO i=1,klon
-          itest(i)=0
-          zrel_oro(i)=zstd(i)/(max(zsig(i),1.E-8)*sqrt(cell_area(i)))
-          !zrel_oro: relative mountain height wrt relief explained by mean slope
-          ! -> condition on zrel_oro can deactivate the drag on tilted planar terrains
-          !    such as ice sheets (work by V. Wiener)
-          ! zpmm_orodr_t and zstd_orodr_t are activation thresholds set by F. Lott to
-          ! earn computation time but they are not physical.
-          IF (((zpic(i)-zmea(i))>zpmm_orodr_t).AND.(zstd(i)>zstd_orodr_t).AND.(zrel_oro(i)<=zrel_oro_t)) THEN
-             itest(i)=1
-             igwd=igwd+1
-             idx(igwd)=i
-          ENDIF
-       ENDDO
-       !        igwdim=MAX(1,igwd)
-       !
-       IF (ok_strato) THEN
-
-          CALL drag_noro_strato(0,klon,klev,phys_tstep,paprs,pplay, &
-               zmea,zstd, zsig, zgam, zthe,zpic,zval, &
-               igwd,idx,itest, &
-               t_seri, u_seri, v_seri, &
-               zulow, zvlow, zustrdr, zvstrdr, &
-               d_t_oro, d_u_oro, d_v_oro)
-
-       ELSE
-          CALL drag_noro(klon,klev,phys_tstep,paprs,pplay, &
-               zmea,zstd, zsig, zgam, zthe,zpic,zval, &
-               igwd,idx,itest, &
-               t_seri, u_seri, v_seri, &
-               zulow, zvlow, zustrdr, zvstrdr, &
-               d_t_oro, d_u_oro, d_v_oro)
-       ENDIF
-       !
-       !  ajout des tendances
-       !-----------------------------------------------------------------------
-       ! ajout des tendances de la trainee de l'orographie
-       CALL add_phys_tend(d_u_oro,d_v_oro,d_t_oro,dq0,dql0,dqi0,dqbs0,paprs,'oro', &
-            abortphy,flag_inhib_tend,itap,0)
-       CALL prt_enerbil('oro',itap)
-       !----------------------------------------------------------------------
-       !
+
+      !  selection des points pour lesquels le shema est actif:
+      igwd = 0
+      DO i = 1, klon
+        itest(i) = 0
+        zrel_oro(i) = zstd(i) / (max(zsig(i), 1.E-8) * sqrt(cell_area(i)))
+        !zrel_oro: relative mountain height wrt relief explained by mean slope
+        ! -> condition on zrel_oro can deactivate the drag on tilted planar terrains
+        !    such as ice sheets (work by V. Wiener)
+        ! zpmm_orodr_t and zstd_orodr_t are activation thresholds set by F. Lott to
+        ! earn computation time but they are not physical.
+        IF (((zpic(i) - zmea(i))>zpmm_orodr_t).AND.(zstd(i)>zstd_orodr_t).AND.(zrel_oro(i)<=zrel_oro_t)) THEN
+          itest(i) = 1
+          igwd = igwd + 1
+          idx(igwd) = i
+        ENDIF
+      ENDDO
+      !        igwdim=MAX(1,igwd)
+
+      IF (ok_strato) THEN
+
+        CALL drag_noro_strato(0, klon, klev, phys_tstep, paprs, pplay, &
+                zmea, zstd, zsig, zgam, zthe, zpic, zval, &
+                igwd, idx, itest, &
+                t_seri, u_seri, v_seri, &
+                zulow, zvlow, zustrdr, zvstrdr, &
+                d_t_oro, d_u_oro, d_v_oro)
+
+      ELSE
+        CALL drag_noro(klon, klev, phys_tstep, paprs, pplay, &
+                zmea, zstd, zsig, zgam, zthe, zpic, zval, &
+                igwd, idx, itest, &
+                t_seri, u_seri, v_seri, &
+                zulow, zvlow, zustrdr, zvstrdr, &
+                d_t_oro, d_u_oro, d_v_oro)
+      ENDIF
+
+      !  ajout des tendances
+      !-----------------------------------------------------------------------
+      ! ajout des tendances de la trainee de l'orographie
+      CALL add_phys_tend(d_u_oro, d_v_oro, d_t_oro, dq0, dql0, dqi0, dqbs0, paprs, 'oro', &
+              abortphy, flag_inhib_tend, itap, 0)
+      CALL prt_enerbil('oro', itap)
+      !----------------------------------------------------------------------
+
     ENDIF ! fin de test sur ok_orodr
-    !
+
     IF (mydebug) THEN
-       CALL writefield_phy('u_seri',u_seri,nbp_lev)
-       CALL writefield_phy('v_seri',v_seri,nbp_lev)
-       CALL writefield_phy('t_seri',t_seri,nbp_lev)
-       CALL writefield_phy('q_seri',q_seri,nbp_lev)
+      CALL writefield_phy('u_seri', u_seri, nbp_lev)
+      CALL writefield_phy('v_seri', v_seri, nbp_lev)
+      CALL writefield_phy('t_seri', t_seri, nbp_lev)
+      CALL writefield_phy('q_seri', q_seri, nbp_lev)
     ENDIF
 
     IF (ok_orolf) THEN
-       !
-       !  selection des points pour lesquels le shema est actif:
-       igwd=0
-       DO i=1,klon
-          itest(i)=0
-          !zrel_oro: relative mountain height wrt relief explained by mean slope
-          ! -> condition on zrel_oro can deactivate the lifting on tilted planar terrains
-          !    such as ice sheets (work by V. Wiener)
-          zrel_oro(i)=zstd(i)/(max(zsig(i),1.E-8)*sqrt(cell_area(i)))
-          IF (((zpic(i)-zmea(i))>zpmm_orolf_t).AND.(zrel_oro(i)<=zrel_oro_t)) THEN
-             itest(i)=1
-             igwd=igwd+1
-             idx(igwd)=i
-          ENDIF
-       ENDDO
-       !        igwdim=MAX(1,igwd)
-       !
-       IF (ok_strato) THEN
-
-          CALL lift_noro_strato(klon,klev,phys_tstep,paprs,pplay, &
-               latitude_deg,zmea,zstd,zpic,zgam,zthe,zpic,zval, &
-               igwd,idx,itest, &
-               t_seri, u_seri, v_seri, &
-               zulow, zvlow, zustrli, zvstrli, &
-               d_t_lif, d_u_lif, d_v_lif               )
-
-       ELSE
-          CALL lift_noro(klon,klev,phys_tstep,paprs,pplay, &
-               latitude_deg,zmea,zstd,zpic, &
-               itest, &
-               t_seri, u_seri, v_seri, &
-               zulow, zvlow, zustrli, zvstrli, &
-               d_t_lif, d_u_lif, d_v_lif)
-       ENDIF
-
-       ! ajout des tendances de la portance de l'orographie
-       CALL add_phys_tend(d_u_lif, d_v_lif, d_t_lif, dq0, dql0, dqi0, dqbs0,paprs, &
-            'lif', abortphy,flag_inhib_tend,itap,0)
-       CALL prt_enerbil('lif',itap)
+
+      !  selection des points pour lesquels le shema est actif:
+      igwd = 0
+      DO i = 1, klon
+        itest(i) = 0
+        !zrel_oro: relative mountain height wrt relief explained by mean slope
+        ! -> condition on zrel_oro can deactivate the lifting on tilted planar terrains
+        !    such as ice sheets (work by V. Wiener)
+        zrel_oro(i) = zstd(i) / (max(zsig(i), 1.E-8) * sqrt(cell_area(i)))
+        IF (((zpic(i) - zmea(i))>zpmm_orolf_t).AND.(zrel_oro(i)<=zrel_oro_t)) THEN
+          itest(i) = 1
+          igwd = igwd + 1
+          idx(igwd) = i
+        ENDIF
+      ENDDO
+      !        igwdim=MAX(1,igwd)
+
+      IF (ok_strato) THEN
+
+        CALL lift_noro_strato(klon, klev, phys_tstep, paprs, pplay, &
+                latitude_deg, zmea, zstd, zpic, zgam, zthe, zpic, zval, &
+                igwd, idx, itest, &
+                t_seri, u_seri, v_seri, &
+                zulow, zvlow, zustrli, zvstrli, &
+                d_t_lif, d_u_lif, d_v_lif)
+
+      ELSE
+        CALL lift_noro(klon, klev, phys_tstep, paprs, pplay, &
+                latitude_deg, zmea, zstd, zpic, &
+                itest, &
+                t_seri, u_seri, v_seri, &
+                zulow, zvlow, zustrli, zvstrli, &
+                d_t_lif, d_u_lif, d_v_lif)
+      ENDIF
+
+      ! ajout des tendances de la portance de l'orographie
+      CALL add_phys_tend(d_u_lif, d_v_lif, d_t_lif, dq0, dql0, dqi0, dqbs0, paprs, &
+              'lif', abortphy, flag_inhib_tend, itap, 0)
+      CALL prt_enerbil('lif', itap)
     ENDIF ! fin de test sur ok_orolf
 
     IF (ok_hines) then
-       !  HINES GWD PARAMETRIZATION
-       east_gwstress=0.
-       west_gwstress=0.
-       du_gwd_hines=0.
-       dv_gwd_hines=0.
-       CALL hines_gwd(klon, klev, phys_tstep, paprs, pplay, latitude_deg, t_seri, &
-            u_seri, v_seri, zustr_gwd_hines, zvstr_gwd_hines, d_t_hin, &
-            du_gwd_hines, dv_gwd_hines)
-       zustr_gwd_hines=0.
-       zvstr_gwd_hines=0.
-       DO k = 1, klev
-          zustr_gwd_hines(:)=zustr_gwd_hines(:)+ du_gwd_hines(:, k)/phys_tstep &
-               * (paprs(:, k)-paprs(:, k+1))/rg
-          zvstr_gwd_hines(:)=zvstr_gwd_hines(:)+ dv_gwd_hines(:, k)/phys_tstep &
-               * (paprs(:, k)-paprs(:, k+1))/rg
-       ENDDO
-
-       d_t_hin(:, :)=0.
-       CALL add_phys_tend(du_gwd_hines, dv_gwd_hines, d_t_hin, dq0, dql0, &
-            dqi0, dqbs0, paprs, 'hin', abortphy,flag_inhib_tend,itap,0)
-       CALL prt_enerbil('hin',itap)
+      !  HINES GWD PARAMETRIZATION
+      east_gwstress = 0.
+      west_gwstress = 0.
+      du_gwd_hines = 0.
+      dv_gwd_hines = 0.
+      CALL hines_gwd(klon, klev, phys_tstep, paprs, pplay, latitude_deg, t_seri, &
+              u_seri, v_seri, zustr_gwd_hines, zvstr_gwd_hines, d_t_hin, &
+              du_gwd_hines, dv_gwd_hines)
+      zustr_gwd_hines = 0.
+      zvstr_gwd_hines = 0.
+      DO k = 1, klev
+        zustr_gwd_hines(:) = zustr_gwd_hines(:) + du_gwd_hines(:, k) / phys_tstep &
+                * (paprs(:, k) - paprs(:, k + 1)) / rg
+        zvstr_gwd_hines(:) = zvstr_gwd_hines(:) + dv_gwd_hines(:, k) / phys_tstep &
+                * (paprs(:, k) - paprs(:, k + 1)) / rg
+      ENDDO
+
+      d_t_hin(:, :) = 0.
+      CALL add_phys_tend(du_gwd_hines, dv_gwd_hines, d_t_hin, dq0, dql0, &
+              dqi0, dqbs0, paprs, 'hin', abortphy, flag_inhib_tend, itap, 0)
+      CALL prt_enerbil('hin', itap)
     ENDIF
 
     IF (.not. ok_hines .and. ok_gwd_rando) then
-       ! ym missing init for east_gwstress & west_gwstress -> added in phys_local_var_mod
-       CALL acama_GWD_rando(PHYS_TSTEP, pplay, latitude_deg, t_seri, u_seri, &
-            v_seri, rot, zustr_gwd_front, zvstr_gwd_front, du_gwd_front, &
-            dv_gwd_front, east_gwstress, west_gwstress)
-       zustr_gwd_front=0.
-       zvstr_gwd_front=0.
-       DO k = 1, klev
-          zustr_gwd_front(:)=zustr_gwd_front(:)+ du_gwd_front(:, k)/phys_tstep &
-               * (paprs(:, k)-paprs(:, k+1))/rg
-          zvstr_gwd_front(:)=zvstr_gwd_front(:)+ dv_gwd_front(:, k)/phys_tstep &
-               * (paprs(:, k)-paprs(:, k+1))/rg
-       ENDDO
-
-       CALL add_phys_tend(du_gwd_front, dv_gwd_front, dt0, dq0, dql0, dqi0, dqbs0, &
-            paprs, 'front_gwd_rando', abortphy,flag_inhib_tend,itap,0)
-       CALL prt_enerbil('front_gwd_rando',itap)
+      ! ym missing init for east_gwstress & west_gwstress -> added in phys_local_var_mod
+      CALL acama_GWD_rando(PHYS_TSTEP, pplay, latitude_deg, t_seri, u_seri, &
+              v_seri, rot, zustr_gwd_front, zvstr_gwd_front, du_gwd_front, &
+              dv_gwd_front, east_gwstress, west_gwstress)
+      zustr_gwd_front = 0.
+      zvstr_gwd_front = 0.
+      DO k = 1, klev
+        zustr_gwd_front(:) = zustr_gwd_front(:) + du_gwd_front(:, k) / phys_tstep &
+                * (paprs(:, k) - paprs(:, k + 1)) / rg
+        zvstr_gwd_front(:) = zvstr_gwd_front(:) + dv_gwd_front(:, k) / phys_tstep &
+                * (paprs(:, k) - paprs(:, k + 1)) / rg
+      ENDDO
+
+      CALL add_phys_tend(du_gwd_front, dv_gwd_front, dt0, dq0, dql0, dqi0, dqbs0, &
+              paprs, 'front_gwd_rando', abortphy, flag_inhib_tend, itap, 0)
+      CALL prt_enerbil('front_gwd_rando', itap)
     ENDIF
 
     IF (ok_gwd_rando) THEN
-       CALL FLOTT_GWD_rando(PHYS_TSTEP, pplay, t_seri, u_seri, v_seri, &
-            rain_fall + snow_fall, zustr_gwd_rando, zvstr_gwd_rando, &
-            du_gwd_rando, dv_gwd_rando, east_gwstress, west_gwstress)
-       CALL add_phys_tend(du_gwd_rando, dv_gwd_rando, dt0, dq0, dql0, dqi0, dqbs0, &
-            paprs, 'flott_gwd_rando', abortphy,flag_inhib_tend,itap,0)
-       CALL prt_enerbil('flott_gwd_rando',itap)
-       zustr_gwd_rando=0.
-       zvstr_gwd_rando=0.
-       DO k = 1, klev
-          zustr_gwd_rando(:)=zustr_gwd_rando(:)+ du_gwd_rando(:, k)/phys_tstep &
-               * (paprs(:, k)-paprs(:, k+1))/rg
-          zvstr_gwd_rando(:)=zvstr_gwd_rando(:)+ dv_gwd_rando(:, k)/phys_tstep &
-               * (paprs(:, k)-paprs(:, k+1))/rg
-       ENDDO
+      CALL FLOTT_GWD_rando(PHYS_TSTEP, pplay, t_seri, u_seri, v_seri, &
+              rain_fall + snow_fall, zustr_gwd_rando, zvstr_gwd_rando, &
+              du_gwd_rando, dv_gwd_rando, east_gwstress, west_gwstress)
+      CALL add_phys_tend(du_gwd_rando, dv_gwd_rando, dt0, dq0, dql0, dqi0, dqbs0, &
+              paprs, 'flott_gwd_rando', abortphy, flag_inhib_tend, itap, 0)
+      CALL prt_enerbil('flott_gwd_rando', itap)
+      zustr_gwd_rando = 0.
+      zvstr_gwd_rando = 0.
+      DO k = 1, klev
+        zustr_gwd_rando(:) = zustr_gwd_rando(:) + du_gwd_rando(:, k) / phys_tstep &
+                * (paprs(:, k) - paprs(:, k + 1)) / rg
+        zvstr_gwd_rando(:) = zvstr_gwd_rando(:) + dv_gwd_rando(:, k) / phys_tstep &
+                * (paprs(:, k) - paprs(:, k + 1)) / rg
+      ENDDO
     ENDIF
 
@@ -4947,201 +4885,196 @@
 
     IF (mydebug) THEN
-       CALL writefield_phy('u_seri',u_seri,nbp_lev)
-       CALL writefield_phy('v_seri',v_seri,nbp_lev)
-       CALL writefield_phy('t_seri',t_seri,nbp_lev)
-       CALL writefield_phy('q_seri',q_seri,nbp_lev)
+      CALL writefield_phy('u_seri', u_seri, nbp_lev)
+      CALL writefield_phy('v_seri', v_seri, nbp_lev)
+      CALL writefield_phy('t_seri', t_seri, nbp_lev)
+      CALL writefield_phy('q_seri', q_seri, nbp_lev)
     ENDIF
 
     DO i = 1, klon
-       zustrph(i)=0.
-       zvstrph(i)=0.
+      zustrph(i) = 0.
+      zvstrph(i) = 0.
     ENDDO
     DO k = 1, klev
-       DO i = 1, klon
-          zustrph(i)=zustrph(i)+(u_seri(i,k)-u(i,k))/phys_tstep* &
-               (paprs(i,k)-paprs(i,k+1))/rg
-          zvstrph(i)=zvstrph(i)+(v_seri(i,k)-v(i,k))/phys_tstep* &
-               (paprs(i,k)-paprs(i,k+1))/rg
-       ENDDO
+      DO i = 1, klon
+        zustrph(i) = zustrph(i) + (u_seri(i, k) - u(i, k)) / phys_tstep * &
+                (paprs(i, k) - paprs(i, k + 1)) / rg
+        zvstrph(i) = zvstrph(i) + (v_seri(i, k) - v(i, k)) / phys_tstep * &
+                (paprs(i, k) - paprs(i, k + 1)) / rg
+      ENDDO
     ENDDO
-    !
+
     !IM calcul composantes axiales du moment angulaire et couple des montagnes
-    !
-    IF (is_sequential .and. ok_orodr) THEN 
-       CALL aaam_bud (27,klon,klev,jD_cur-jD_ref,jH_cur, &
-            ra,rg,romega, &
-            latitude_deg,longitude_deg,pphis, &
-            zustrdr,zustrli,zustrph, &
-            zvstrdr,zvstrli,zvstrph, &
-            paprs,u,v, &
-            aam, torsfc)
+
+    IF (is_sequential .and. ok_orodr) THEN
+      CALL aaam_bud (27, klon, klev, jD_cur - jD_ref, jH_cur, &
+              ra, rg, romega, &
+              latitude_deg, longitude_deg, pphis, &
+              zustrdr, zustrli, zustrph, &
+              zvstrdr, zvstrli, zvstrph, &
+              paprs, u, v, &
+              aam, torsfc)
     ENDIF
     !IM cf. FLott END
     !DC Calcul de la tendance due au methane
     IF (ok_qch4) THEN
-!      d_q_ch4: H2O source from CH4 in MMR/s (mass mixing ratio/s or kg H2O/kg air/s)
-IF (CPPKEY_STRATAER) THEN
-       CALL stratH2O_methox(debut,paprs,d_q_ch4)
-ELSE
-!      ECMWF routine METHOX
-       CALL METHOX(1,klon,klon,klev,q_seri,d_q_ch4,pplay)
-END IF
-       ! add humidity tendency due to methane
-       d_q_ch4_dtime(:,:) = d_q_ch4(:,:)*phys_tstep
-       CALL add_phys_tend(du0, dv0, dt0, d_q_ch4_dtime, dql0, dqi0, dqbs0, paprs, &
-            'q_ch4', abortphy,flag_inhib_tend,itap,0)
-       d_q_ch4(:,:) = d_q_ch4_dtime(:,:)/phys_tstep ! update with H2O conserv done in add_phys_tend
+      !      d_q_ch4: H2O source from CH4 in MMR/s (mass mixing ratio/s or kg H2O/kg air/s)
+      IF (CPPKEY_STRATAER) THEN
+        CALL stratH2O_methox(debut, paprs, d_q_ch4)
+      ELSE
+        !      ECMWF routine METHOX
+        CALL METHOX(1, klon, klon, klev, q_seri, d_q_ch4, pplay)
+      END IF
+      ! add humidity tendency due to methane
+      d_q_ch4_dtime(:, :) = d_q_ch4(:, :) * phys_tstep
+      CALL add_phys_tend(du0, dv0, dt0, d_q_ch4_dtime, dql0, dqi0, dqbs0, paprs, &
+              'q_ch4', abortphy, flag_inhib_tend, itap, 0)
+      d_q_ch4(:, :) = d_q_ch4_dtime(:, :) / phys_tstep ! update with H2O conserv done in add_phys_tend
     ENDIF
-    !
-    !
-IF (CPPKEY_STRATAER) THEN
-    IF (ok_qemiss) THEN
-       flh2o=1
-       IF(flag_verbose_strataer) THEN
-          print *,'IN physiq_mod: ok_qemiss =yes (',ok_qemiss,'), flh2o=',flh2o
-          print *,'IN physiq_mod: flag_emit=',flag_emit,', nErupt=',nErupt
-          print *,'IN physiq_mod: nAerErupt=',nAerErupt
-       ENDIF
-       
-       SELECT CASE(flag_emit)
-       CASE(1) ! emission volc H2O in LMDZ
-          DO ieru=1, nErupt
-             IF (year_cur==year_emit_vol(ieru).AND.&
-                  mth_cur==mth_emit_vol(ieru).AND.&
-                  day_cur>=day_emit_vol(ieru).AND.&
-                  day_cur<(day_emit_vol(ieru)+injdur)) THEN
-                
-                IF(flag_verbose_strataer) print *,'IN physiq_mod: date=',year_cur,mth_cur,day_cur
-                ! initialisation of q tendency emission
-                d_q_emiss(:,:)=0.
-                ! daily injection mass emission - NL
-                m_H2O_emiss_vol_daily = m_H2O_emiss_vol(ieru)/(REAL(injdur)&
-                     *REAL(ponde_lonlat_vol(ieru)))
-                !
-                CALL STRATEMIT(pdtphys,pdtphys,latitude_deg,longitude_deg,t_seri,&
-                    pplay,paprs,tr_seri,&
-                    m_H2O_emiss_vol_daily,&
-                    xlat_min_vol(ieru),xlat_max_vol(ieru),&
-                    xlon_min_vol(ieru),xlon_max_vol(ieru),&
-                    altemiss_vol(ieru),sigma_alt_vol(ieru),1,1.,&
-                    nAerErupt+1,0)
-                
-                IF(flag_verbose_strataer) print *,'IN physiq_mod: min max d_q_emiss=',&
-                     minval(d_q_emiss),maxval(d_q_emiss)
-                
-                CALL add_phys_tend(du0, dv0, dt0, d_q_emiss, dql0, dqi0, dqbs0, paprs, &
-                     'q_emiss',abortphy,flag_inhib_tend,itap,0)
-                IF (abortphy==1) Print*,'ERROR ABORT TEND EMISS'
-             ENDIF
+
+
+    IF (CPPKEY_STRATAER) THEN
+      IF (ok_qemiss) THEN
+        flh2o = 1
+        IF(flag_verbose_strataer) THEN
+          print *, 'IN physiq_mod: ok_qemiss =yes (', ok_qemiss, '), flh2o=', flh2o
+          print *, 'IN physiq_mod: flag_emit=', flag_emit, ', nErupt=', nErupt
+          print *, 'IN physiq_mod: nAerErupt=', nAerErupt
+        ENDIF
+
+        SELECT CASE(flag_emit)
+        CASE(1) ! emission volc H2O in LMDZ
+          DO ieru = 1, nErupt
+            IF (year_cur==year_emit_vol(ieru).AND.&
+                    mth_cur==mth_emit_vol(ieru).AND.&
+                    day_cur>=day_emit_vol(ieru).AND.&
+                    day_cur<(day_emit_vol(ieru) + injdur)) THEN
+
+              IF(flag_verbose_strataer) print *, 'IN physiq_mod: date=', year_cur, mth_cur, day_cur
+              ! initialisation of q tendency emission
+              d_q_emiss(:, :) = 0.
+              ! daily injection mass emission - NL
+              m_H2O_emiss_vol_daily = m_H2O_emiss_vol(ieru) / (REAL(injdur)&
+                      * REAL(ponde_lonlat_vol(ieru)))
+
+              CALL STRATEMIT(pdtphys, pdtphys, latitude_deg, longitude_deg, t_seri, &
+                      pplay, paprs, tr_seri, &
+                      m_H2O_emiss_vol_daily, &
+                      xlat_min_vol(ieru), xlat_max_vol(ieru), &
+                      xlon_min_vol(ieru), xlon_max_vol(ieru), &
+                      altemiss_vol(ieru), sigma_alt_vol(ieru), 1, 1., &
+                      nAerErupt + 1, 0)
+
+              IF(flag_verbose_strataer) print *, 'IN physiq_mod: min max d_q_emiss=', &
+                      minval(d_q_emiss), maxval(d_q_emiss)
+
+              CALL add_phys_tend(du0, dv0, dt0, d_q_emiss, dql0, dqi0, dqbs0, paprs, &
+                      'q_emiss', abortphy, flag_inhib_tend, itap, 0)
+              IF (abortphy==1) Print*, 'ERROR ABORT TEND EMISS'
+            ENDIF
           ENDDO
-          flh2o=0
-       END SELECT ! emission scenario (flag_emit)
+          flh2o = 0
+        END SELECT ! emission scenario (flag_emit)
+      ENDIF
+    END IF
+
+    !===============================================================
+    !            Additional tendency of TKE due to orography
+    !===============================================================
+
+    ! Inititialization
+    !------------------
+
+    addtkeoro = 0
+    CALL getin_p('addtkeoro', addtkeoro)
+
+    IF (prt_level>=5) &
+            print*, 'addtkeoro', addtkeoro
+
+    alphatkeoro = 1.
+    CALL getin_p('alphatkeoro', alphatkeoro)
+    alphatkeoro = min(max(0., alphatkeoro), 1.)
+
+    smallscales_tkeoro = .FALSE.
+    CALL getin_p('smallscales_tkeoro', smallscales_tkeoro)
+
+    dtadd(:, :) = 0.
+    duadd(:, :) = 0.
+    dvadd(:, :) = 0.
+
+    ! Choices for addtkeoro:
+    !      ** 0 no TKE tendency from orography
+    !      ** 1 we include a fraction alphatkeoro of the whole tendency duoro
+    !      ** 2 we include a fraction alphatkeoro of the gravity wave part of duoro
+
+    IF (addtkeoro > 0 .AND. ok_orodr) THEN
+      !      -------------------------------------------
+
+
+      !  selection des points pour lesquels le schema est actif:
+
+      IF (addtkeoro == 1) THEN
+
+        duadd(:, :) = alphatkeoro * d_u_oro(:, :)
+        dvadd(:, :) = alphatkeoro * d_v_oro(:, :)
+
+      ELSE IF (addtkeoro == 2) THEN
+
+        IF (smallscales_tkeoro) THEN
+          igwd = 0
+          DO i = 1, klon
+            itest(i) = 0
+            ! Etienne: ici je prends en compte plus de relief que la routine drag_noro_strato
+            ! car on peut s'attendre a ce que les petites echelles produisent aussi de la TKE
+            ! Mais attention, cela ne va pas dans le sens de la conservation de l'energie!
+            IF ((zstd(i)>1.0) .AND.(zrel_oro(i)<=zrel_oro_t)) THEN
+              itest(i) = 1
+              igwd = igwd + 1
+              idx(igwd) = i
+            ENDIF
+          ENDDO
+
+        ELSE
+
+          igwd = 0
+          DO i = 1, klon
+            itest(i) = 0
+            IF (((zpic(i) - zmea(i))>zpmm_orodr_t).AND.(zstd(i)>zstd_orodr_t).AND.(zrel_oro(i)<=zrel_oro_t)) THEN
+              itest(i) = 1
+              igwd = igwd + 1
+              idx(igwd) = i
+            ENDIF
+          ENDDO
+
+        ENDIF
+
+        CALL drag_noro_strato(addtkeoro, klon, klev, phys_tstep, paprs, pplay, &
+                zmea, zstd, zsig, zgam, zthe, zpic, zval, &
+                igwd, idx, itest, &
+                t_seri, u_seri, v_seri, &
+                zulow, zvlow, zustrdr, zvstrdr, &
+                d_t_oro_gw, d_u_oro_gw, d_v_oro_gw)
+
+        zustrdr(:) = 0.
+        zvstrdr(:) = 0.
+        zulow(:) = 0.
+        zvlow(:) = 0.
+
+        duadd(:, :) = alphatkeoro * d_u_oro_gw(:, :)
+        dvadd(:, :) = alphatkeoro * d_v_oro_gw(:, :)
+      ENDIF
+
+
+      ! TKE update from subgrid temperature and wind tendencies
+      !----------------------------------------------------------
+      forall (k = 1:nbp_lev) exner(:, k) = (pplay(:, k) / paprs(:, 1))**RKAPPA
+
+      CALL tend_to_tke(pdtphys, paprs, exner, t_seri, u_seri, v_seri, dtadd, duadd, dvadd, pctsrf, pbl_tke)
+
+      ! Prevent pbl_tke_w from becoming negative
+      wake_delta_pbl_tke(:, :, :) = max(wake_delta_pbl_tke(:, :, :), -pbl_tke(:, :, :))
+
     ENDIF
-END IF
-
-!===============================================================
-!            Additional tendency of TKE due to orography
-!===============================================================
-!
-! Inititialization
-!------------------
-
-       addtkeoro=0   
-       CALL getin_p('addtkeoro',addtkeoro) 
-      
-       IF (prt_level>=5) &
-            print*,'addtkeoro', addtkeoro
-            
-       alphatkeoro=1.   
-       CALL getin_p('alphatkeoro',alphatkeoro)
-       alphatkeoro=min(max(0.,alphatkeoro),1.)
-
-       smallscales_tkeoro=.FALSE.   
-       CALL getin_p('smallscales_tkeoro',smallscales_tkeoro) 
-
-
-       dtadd(:,:)=0.
-       duadd(:,:)=0.
-       dvadd(:,:)=0.
-
-! Choices for addtkeoro:
-!      ** 0 no TKE tendency from orography    
-!      ** 1 we include a fraction alphatkeoro of the whole tendency duoro
-!      ** 2 we include a fraction alphatkeoro of the gravity wave part of duoro
-!
-
-       IF (addtkeoro > 0 .AND. ok_orodr ) THEN
-!      -------------------------------------------
-
-
-       !  selection des points pour lesquels le schema est actif:
-
-
-  IF (addtkeoro == 1 ) THEN
-
-            duadd(:,:)=alphatkeoro*d_u_oro(:,:)
-            dvadd(:,:)=alphatkeoro*d_v_oro(:,:)
-
-  ELSE IF (addtkeoro == 2) THEN
-
-     IF (smallscales_tkeoro) THEN
-       igwd=0
-       DO i=1,klon
-          itest(i)=0
-! Etienne: ici je prends en compte plus de relief que la routine drag_noro_strato
-! car on peut s'attendre a ce que les petites echelles produisent aussi de la TKE
-! Mais attention, cela ne va pas dans le sens de la conservation de l'energie! 
-          IF ((zstd(i)>1.0) .AND.(zrel_oro(i)<=zrel_oro_t)) THEN
-             itest(i)=1
-             igwd=igwd+1
-             idx(igwd)=i
-          ENDIF
-       ENDDO
-
-     ELSE 
-
-       igwd=0
-       DO i=1,klon
-          itest(i)=0
-        IF (((zpic(i)-zmea(i))>zpmm_orodr_t).AND.(zstd(i)>zstd_orodr_t).AND.(zrel_oro(i)<=zrel_oro_t)) THEN
-             itest(i)=1
-             igwd=igwd+1
-             idx(igwd)=i
-        ENDIF
-       ENDDO
-
-     ENDIF
-
-     CALL drag_noro_strato(addtkeoro,klon,klev,phys_tstep,paprs,pplay, &
-               zmea,zstd, zsig, zgam, zthe,zpic,zval, &
-               igwd,idx,itest, &
-               t_seri, u_seri, v_seri, &
-               zulow, zvlow, zustrdr, zvstrdr, &
-               d_t_oro_gw, d_u_oro_gw, d_v_oro_gw)
-
-     zustrdr(:)=0.
-     zvstrdr(:)=0.
-     zulow(:)=0.
-     zvlow(:)=0.
-
-     duadd(:,:)=alphatkeoro*d_u_oro_gw(:,:)
-     dvadd(:,:)=alphatkeoro*d_v_oro_gw(:,:)
-  ENDIF
-
-
-   ! TKE update from subgrid temperature and wind tendencies
-   !----------------------------------------------------------
-    forall (k=1: nbp_lev) exner(:, k) = (pplay(:, k)/paprs(:,1))**RKAPPA
-
-
-    CALL tend_to_tke(pdtphys,paprs,exner,t_seri,u_seri,v_seri,dtadd,duadd,dvadd,pctsrf,pbl_tke)
-   !
-   ! Prevent pbl_tke_w from becoming negative
-    wake_delta_pbl_tke(:,:,:) = max(wake_delta_pbl_tke(:,:,:), -pbl_tke(:,:,:))
-   !
-
-       ENDIF
-!      -----
-!===============================================================
+    !      -----
+    !===============================================================
 
 
@@ -5152,5 +5085,5 @@
 
     IF (ok_cosp) THEN
-       ! adeclarer 
+      ! adeclarer
 #ifdef CPP_COSP
        IF (itap.eq.1.or.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
